JakartaOroRegexp (Apache Ant API)
Keywords: org.apache.tools.ant.util.regexp.JakartaOroRegexp class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Class JakartaOroRegexp

    java.lang.Object
      org.apache.tools.ant.util.regexp.JakartaOroMatcher
          org.apache.tools.ant.util.regexp.JakartaOroRegexp

All Implemented Interfaces:
  Regexp, RegexpMatcher

public class JakartaOroRegexp
extends JakartaOroMatcher
implements Regexp

Regular expression implementation using the Jakarta Oro package

Author:
  Matthew Inger mattinger@mindless.com

Field Summary

Fields inherited from class org.apache.tools.ant.util.regexp.JakartaOroMatcher
`compiler, matcher`

Fields inherited from interface org.apache.tools.ant.util.regexp.Regexp
`REPLACE_ALL, REPLACE_FIRST`

Fields inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher
`MATCH_CASE_INSENSITIVE, MATCH_DEFAULT, MATCH_MULTILINE, MATCH_SINGLELINE`

Constructor Summary
`JakartaOroRegexp()`

Method Summary
`protected int` | `getSubsOptions(int options)`
`java.lang.String` | `substitute(java.lang.String input, java.lang.String argument, int options)` Perform a substitution on the regular expression.

Methods inherited from class org.apache.tools.ant.util.regexp.JakartaOroMatcher
`getCompiledPattern, getCompilerOptions, getGroups, getGroups, getPattern, matches, matches, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher
`getGroups, getGroups, getPattern, matches, matches, setPattern`

Constructor Detail

### JakartaOroRegexp

    public JakartaOroRegexp()

Method Detail

### substitute

    public java.lang.String substitute(java.lang.String input,
                                       java.lang.String argument,
                                       int options)
                                throws BuildException

  Description copied from interface: `Regexp`
  Perform a substitution on the regular expression.

  Specified by:
    `substitute` in interface `Regexp`
  Parameters:
    `input` - The string to substitute on
    `argument` - The string which defines the substitution
    `options` - The list of options for the match and replace. See the MATCH_ and REPLACE_ constants above.
  Throws:
    `BuildException`

### getSubsOptions

    protected int getSubsOptions(int options)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.